<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Setting_Activity">



    <LinearLayout
        android:id="@+id/layout11"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:background="@color/color_header"
        android:orientation="horizontal"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageButton
            android:id="@+id/imb_back"
            style="@style/Base.Widget.AppCompat.Button.Borderless"
            android:layout_width="50dp"
            android:layout_height="wrap_content"
            android:onClick="onClick"
            app:srcCompat="@drawable/back" />

        <TextView
            android:id="@+id/textView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:padding="10dp"
            android:layout_weight="1"
            android:text="Printer Setting"
            android:gravity="center"
            android:textColor="@color/color_white"
            android:textSize="20sp"
            android:textStyle="bold" />
    </LinearLayout>


    <ScrollView
        android:id="@+id/scrollView3"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/layout11">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="10dp"
                android:orientation="horizontal">

                <TextView
                    android:id="@+id/textView1"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="5dp"
                    android:layout_weight="1"
                    android:padding="5dp"
                    android:gravity="center_vertical|left"
                    android:text="PrinterName:"
                    android:textColor="@color/black"
                    android:textSize="16sp" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                >
                <TextView
                    android:id="@+id/txt_settings_device_no"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_marginEnd="5dp"
                    android:layout_weight="0.5"
                    android:maxLines="4"
                    android:singleLine="false"
                    android:background="@drawable/img_background"
                    android:gravity="center"
                    android:textSize="16sp" />
            </LinearLayout>



            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginTop="220dp"
                android:orientation="horizontal">

                <Button
                    android:id="@+id/btn_settings_cancel"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/button_background_yellow"
                    android:onClick="onClick"
                    android:text="Cancel"
                    android:textAllCaps="false"
                    android:gravity="center"
                    android:textColor="@color/white"
                    android:textSize="18sp" />

                <Button
                    android:id="@+id/btn_settings_submit"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:background="@drawable/button_background_green"
                    android:onClick="onClick"
                    android:text="OK"
                    android:textAllCaps="false"
                    android:textColor="@color/white"
                    android:gravity="center"
                    android:textSize="20sp" />

            </LinearLayout>


            <EditText
                android:id="@+id/txt_server_mode"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_below="@id/btn_restore_default_factory"
                android:background="@color/white"
                android:inputType="text"
                android:padding="10dp"
                android:textColor="@color/black"
                android:visibility="invisible" />

        </LinearLayout>
    </ScrollView>

    <EditText
        android:id="@+id/txt_label_issue_tmp"
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:background="@color/white"
        android:inputType="none"
        android:padding="5dp"
        android:visibility="visible"
        app:layout_constraintTop_toBottomOf="@+id/scrollView3"  />

</androidx.constraintlayout.widget.ConstraintLayout>